%define anolis_release 1

Name:     flashrom
Version:  1.3.0
Release:  %{anolis_release}%{dist}

Summary:	Simple program for reading/writing flash chips content
License:	GPLv2
URL:		https://flashrom.org

Source0:	https://download.flashrom.org/releases/%{name}-v%{version}.tar.bz2

BuildRequires:	gnupg2
BuildRequires:	gcc
BuildRequires:	meson
BuildRequires:	pciutils-devel
BuildRequires:	libjaylink-devel
BuildRequires:	libftdi-devel
BuildRequires:	libusb-devel
BuildRequires:	libusbx-devel
BuildRequires:	systemd
BuildRequires:	zlib-devel
%ifarch x86_64 aarch64
BuildRequires:	dmidecode
Requires:	dmidecode
%endif
Requires:	udev

%description
flashrom is a utility for identifying, reading, writing, verifying and erasing
flash chips. It is designed to flash BIOS/EFI/coreboot/firmware/optionROM
images on mainboards, network/graphics/storage controller cards, and various
other programmer devices.

%package devel
Summary: Development package for %{name}
Requires: %{name} = %{version}-%{release}

%description devel
Files for development with %{name}.

%package doc
Summary:        Documentation files for %{name}
Requires:       %{name} = %{EVR}
BuildArch:      noarch

%description    doc
The %{name}-doc package contains documentation files for %{name}.

%prep
%autosetup -p1 -n %{name}-v%{version}
# Replace GROUP="plugdev" specifiers with TAG+="uaccess"
sed -e 's/MODE="[0-9]*", GROUP="plugdev"/TAG+="uaccess"/g' util/flashrom_udev.rules -i

%build
%meson -Dtests=disabled
%meson_build

%install
%meson_install

install -D -p -m 0644 util/flashrom_udev.rules %{buildroot}/%{_udevrulesdir}/60_flashrom.rules
rm %{buildroot}/%{_libdir}/libflashrom.a

%generate_compatibility_deps

%files
%license COPYING
%dir %{abidir}
%{_sbindir}/%{name}
%{abidir}/%{name}-option.list
%{_mandir}/man8/%{name}.*
%{_udevrulesdir}/60_flashrom.rules
%{_libdir}/libflashrom.so.1
%{abidir}/libflashrom.dump
%{_libdir}/libflashrom.so.1.0.0

%files devel
%{_includedir}/libflashrom.h
%{_libdir}/libflashrom.so
%{_libdir}/pkgconfig/flashrom.pc

%files doc
%doc README

%changelog
* Mon Mar 27 2023 yuanhui <yuanhui@linux.alibaba.com> - 1.3.0-1
- Init package from upstream
